From 473c17930d08f5a2fff6334446d77b210329be06 Mon Sep 17 00:00:00 2001
From: Olof-Joachim Frahm <olof@macrolet.net>
Date: Sun, 23 Mar 2014 23:52:06 +0100
Subject: [PATCH] Find contrib based on system jar name.

---
 abcl/src/org/armedbear/lisp/abcl-contrib.lisp |    8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/abcl/src/org/armedbear/lisp/abcl-contrib.lisp b/abcl/src/org/armedbear/lisp/abcl-contrib.lisp
index 4fbc393..e36f855 100644
--- a/abcl/src/org/armedbear/lisp/abcl-contrib.lisp
+++ b/abcl/src/org/armedbear/lisp/abcl-contrib.lisp
@@ -97,6 +97,14 @@ (defun find-contrib ()
   "Introspect runtime classpaths to find a loadable ABCL-CONTRIB."
   (or (ignore-errors
         (find-contrib-jar))
+      (ignore-errors
+        (let ((system-jar (find-system-jar)))
+          (when system-jar
+            (probe-file (make-pathname
+                         :defaults system-jar
+                         :name (concatenate 'string
+                                            "abcl-contrib"
+                                            (subseq (pathname-name system-jar) 4)))))))
       (some
        (lambda (u)
          (probe-file (make-pathname
-- 
1.7.10.4

